Debian Bug report logs - #731042
ITP: libscalar-listify-perl -- module that produces an array(ref)? from a scalar value or array ref

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>

Date: Sun, 1 Dec 2013 11:24:01 UTC

Owned by: Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>

Severity: wishlist

Fixed in version libscalar-listify-perl/0.03-1

Done: Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#731042; Package wnpp. (Sun, 01 Dec 2013 11:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sun, 01 Dec 2013 11:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libscalar-listify-perl -- module that produces an array(ref)? from a scalar value or array ref
Date: Sun, 01 Dec 2013 13:20:45 +0200
Package: wnpp
Owner: Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libscalar-listify-perl
  Version         : 0.02
  Upstream Author : Terrence Brannon <metaperl@gmail.com>
* URL             : https://metacpan.org/release/Scalar-Listify
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : module that produces an array(ref)? from a scalar value or array ref

A lot of Perl code ends up with scalars having either a single scalar value
or a reference to an array of scalar values. In order to handle the two
conditions, one must check for what is in the scalar value before getting on
with one's task. Ie:

$text_scalar = 'text';

$aref_scalar = [ 1.. 5 ];

print ref($text_scalar) ? (join ':', @$text_scalar) : $text_scalar;

And this module is designed to address just that!



Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 08 Feb 2014 22:45:14 GMT) Full text and rfc822 format available.

Reply sent to Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>:
You have taken responsibility. (Mon, 10 Feb 2014 16:03:09 GMT) Full text and rfc822 format available.

Notification sent to Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>:
Bug acknowledged by developer. (Mon, 10 Feb 2014 16:03:09 GMT) Full text and rfc822 format available.

Message #12 received at 731042-close@bugs.debian.org (full text, mbox):

From: Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>
To: 731042-close@bugs.debian.org
Subject: Bug#731042: fixed in libscalar-listify-perl 0.03-1
Date: Mon, 10 Feb 2014 16:00:07 +0000
Source: libscalar-listify-perl
Source-Version: 0.03-1

We believe that the bug you reported is fixed in the latest version of
libscalar-listify-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 731042@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com> (supplier of updated libscalar-listify-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 09 Feb 2014 00:35:00 +0200
Source: libscalar-listify-perl
Binary: libscalar-listify-perl
Architecture: source all
Version: 0.03-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Radu-Bogdan Croitoru <croitoruradubogdan@gmail.com>
Description: 
 libscalar-listify-perl - module that produces an array/arrayref from a scalar value or arr
Closes: 731042
Changes: 
 libscalar-listify-perl (0.03-1) unstable; urgency=low
 .
   * Initial Release (Closes: #731042)
Checksums-Sha1: 
 a983b3aa57b4ec9c52727070409b53b8fea8cea2 2211 libscalar-listify-perl_0.03-1.dsc
 ab585d704d25ffc08cd3c19b15138291f8a14db0 2650 libscalar-listify-perl_0.03.orig.tar.gz
 bd1417bbd55dfb8919e0ef29fcc0a8bebf317e1a 1496 libscalar-listify-perl_0.03-1.debian.tar.xz
 1a8eba8d90af5e1ff256e0b4158027bf3ae1a1a8 5808 libscalar-listify-perl_0.03-1_all.deb
Checksums-Sha256: 
 e6d31a4555d8d51ad54cef023aaa4c0998b2ca39c88f4938f272717093d6b5bf 2211 libscalar-listify-perl_0.03-1.dsc
 5e75bb6aee4893ed8bc5d782c9be1a379248f503a5fff214025682683308bec6 2650 libscalar-listify-perl_0.03.orig.tar.gz
 c7392ae956a1d006db50ad9eac8e20138bd1b3eab0a66c8df22fef6af168e1ec 1496 libscalar-listify-perl_0.03-1.debian.tar.xz
 3c06c88822d87da9f74d4a8b8f742ae6af4423208f82eb6668370fdbd04a895a 5808 libscalar-listify-perl_0.03-1_all.deb
Files: 
 8c71f01e8bf671bf6382577e9e51b012 2211 perl optional libscalar-listify-perl_0.03-1.dsc
 578fd039a478386c3fe06db26de34ffb 2650 perl optional libscalar-listify-perl_0.03.orig.tar.gz
 8f3d1c053b1a5023bee595d287868d28 1496 perl optional libscalar-listify-perl_0.03-1.debian.tar.xz
 578d1951cc7bb4043f34ee778b90eb7f 5808 perl optional libscalar-listify-perl_0.03-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQJrBAEBCgBVBQJS9rKVThSAAAAAAB0AKGlzc3Vlci1mcHJAZ3BnLmNvbW9kby5w
cml2LmF0RDFFMTMxNkU5M0E3NjBBODEwNEQ4NUZBQkIzQTY4MDE4NjQ5QUEwNgAK
CRC7OmgBhkmqBr2YD/9hiZZjvD06Aug7CQn7MXzhChSyjncKipdEyb4vwzawV6tH
C5+GXqzuMcK0D6EytRRj5Wvk1lhc+xda3mhrQV2Vn2kG3axXLWpGty4XXZdtiMs/
NUljcMesACGo1lRSLWaZZmtcqRuh2l2cPoPJwCjdebk1UH1ixHUpSGLAjnngilCq
yJCGMFKhG4snGu3tuoAP8DilN6Lut/ETThl9Pgs6GPFBLHUINJCzlKIMAVDkM9u8
X6XzqEYdmok8VyAkAezrloU4IYJwRAoI+B218c+Gzoha9v1z8euogb+PblSNBB1i
Q5qehoGx4Sv0SoJKdPuLFaw1oNUmRqYhmdmgFaTFOK+WfN8QBug45xk/kVxUI91r
AmUL/5/dDcjf1pIxttO0hciS43ANN26FNl+xyXdjt1Y8MLaLyPKZHPPaA3dt2b3+
/tqC+GXbbTAPG6AZDZoeKC34NzikOhUBqWRMwk4duxCKZ5w2s/+o2XYTIEPIvU62
a00F4ctYErAhRfUqpbwp3xmsyR/v9vLL9AIXGGqezSNdqJU3xAKip3BIltrSyRz4
o4iSGUTuZJ4ed1PcZ8gyQEuzZiA8UuSiT/Fxgjb5sfj07lJ1xfU2siRKdtEK104l
XlvCFxm9rZKz5R3tABVfZmqFWzFF57OD/mIsIqXL86RydJmOx42An6meFDngow==
=yWLN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Mar 2014 07:30:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:54:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.